Skip to content

Pick the workspace for the agent being authorized

POST
/api/v1/oauth/workspace
curl --request POST \
--url https://api.crossmart.io/api/v1/oauth/workspace \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token=<better-auth.session_token> \
--data '{ "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Called by the web app before it continues the OAuth flow. The agent will only ever act in this workspace, within your role there.

Media typeapplication/json
object
workspaceId
required

A workspace the signed-in user belongs to

string format: uuid

Example generated

{
"workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}